package com.bsoft.admin.service;

import com.bsoft.admin.model.SysUser;
import com.bsoft.admin.model.reqmodel.UserReq;

import java.util.List;

public interface UserService {
    SysUser findByLoginName(String loginName);

    boolean addUser(Long userId,UserReq.AddUserReq user);

    boolean deleteUser(UserReq.DeleteUserReq user);

    boolean updateUser(UserReq.UpdateUserReq user);

    List<SysUser> getAll(UserReq.GetUserReq user);

    SysUser info(Integer userId);
}
